> ## Documentation Index
> Fetch the complete documentation index at: https://docs.juicyway.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Export payment details



## OpenAPI

````yaml /openapi.json get /payments/export
openapi: 3.0.0
info:
  title: Juicyway API
  version: 1.0.0
servers: []
security: []
tags:
  - description: Payment APIs
    name: payments
  - description: Payouts APIs
    name: payouts
  - description: Exchange APIs
    name: exchange
  - description: Wallets APIs
    name: wallets
paths:
  /payments/export:
    get:
      tags:
        - payments
      summary: Export payment details
      operationId: PaymentLifecycle.Web.PaymentController.export_payments
      parameters:
        - description: Payment record status
          in: query
          name: status
          required: false
          schema:
            enum:
              - pending
              - captured
              - settled
              - failed
            type: string
        - description: Payment type
          in: query
          name: type
          required: false
          schema:
            enum:
              - collection
              - deposit
              - payout
            type: string
        - description: ''
          in: query
          name: customer_id
          required: false
          schema:
            description: Customer id
            type: string
        - description: ''
          in: query
          name: provider_id
          required: false
          schema:
            description: Provider id
            type: string
        - description: ''
          in: query
          name: payment_link_id
          required: false
          schema:
            description: Payment link id
            type: string
        - description: ''
          in: query
          name: since
          required: false
          schema:
            format: date-time
            type: string
        - description: ''
          in: query
          name: until
          required: false
          schema:
            format: date-time
            type: string
        - description: ''
          in: query
          name: currency
          required: false
          schema:
            oneOf:
              - enum:
                  - NGN
                  - USD
                  - CAD
                  - EUR
                  - AUD
                  - CNY
                  - GBP
                  - GHS
                  - KES
                type: string
              - enum:
                  - BTC
                  - ETH
                  - USDT
                  - USDC
                  - BUSD
                  - SOL
                  - DOGE
                  - XRP
                  - ADA
                  - TRX
                  - AVAX
                type: string
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UrlResponse'
          description: Payment export url
      callbacks: {}
components:
  schemas:
    UrlResponse:
      type: object

````